Payment

This endpoint enables you to process transactions securely and efficiently through our API.

Body Params
string
required

This is the credential that Vendo will use to authenticate your request

int32

Set to 1 if you want to process a test transaction. Check Appendix A for test card details.

int32
required

Your Vendo Merchant ID. This will be provided by your account manager

int32
required

The Vendo Site ID for which you're processing the transaction.

float
required

The amount that you want to charge the user. Example: 39.95

string
required

The 3-letter currency code of the amount to be charged. Currencies

string

The URL to which the user must be redirected after a successful verification. If it isn't specified then our platform will fallback to the Success URL configured in Vendo's back office.

boolean
Defaults to false

Merchant Initiated Transaction - set this flag to true when performing automatic recurring charges (i.e. rebills). The "mit" flag is false by default, indicating that the customer themselves initiated the transaction.

boolean
Defaults to false

Pre-Authorization Only. Set this flag to true when you do not want to capture the transaction amount immediately, but only validate the payment details and block (reserve) the amount. The capture of a preauth-only transaction can be performed with the Capture API. Only available for "card" type of payment

boolean
Defaults to false

Flags a payment as non-recurring. Set this to true if no MITs (merchant initiated transactions / rebills) will follow automatically. This may increase the chance of the transaction being accepted by some banks.

external_references
object
required

This parameter has the following 4 child elements. All these values are pass-thru values, meaning that we'll post them back to you.

items
object

This parameter has the following 4 child elements. The child elements refer to the items that you're charging the user for.

payment_details
object
required

There are different possible sets of child elements depending on the payment_type: card, sepa, pix, oxxo crypto, paybybank, wallet or tokenized.

customer_details
object
required

REQUIRED for non-tokenized transactions. This node is not allowed for token transactions. This parameter contains the following 10 child elements. Not all of them are mandatory. This element contains the user's personal details.

shipping_address
object

Mandatory shipping address details. If you don't use shipping addresses, you don't have to send this at all.

request_details
object
required

This parameter contains 2 child elements. Not all of them are mandatory.

subscription_schedule
object

Use this parameter to start a S2S Sign-up subscription and schedule automatic rebills. Only supported for payment methods that allow automatic rebills. Not supported for f.ex. PIX, Pay by Bank or Crypto.

cross_sale
object

Use this section to create a S2S Cross Sale. Skip it for other types of transactions..

Responses

Language
Response
Choose an example:
application/json